Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232140 - ccs_get on /foo/child::*[1] doesn't work if foo's child is an empty tag
Summary: ccs_get on /foo/child::*[1] doesn't work if foo's child is an empty tag
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-13 22:48 UTC by Lon Hohberger
Modified: 2009-04-16 22:37 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0575
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 16:59:21 UTC


Attachments (Terms of Use)
head & rhel5 patch (deleted)
2007-03-13 22:48 UTC, Lon Hohberger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0575 normal SHIPPED_LIVE cman bug fix update 2007-10-31 12:26:24 UTC

Description Lon Hohberger 2007-03-13 22:48:14 UTC
+++ This bug was initially created as a clone of Bug #232139 +++

Description of problem:

If we have the following xml, and we issue the query "/foo/child::*[1]" to ccs:

<foo>
  <bar/>
</foo>

It does not work - and returns -ENODATA.  If we change the XML to have some sort
of child - even a text node, i.e.:

<foo>
  <bar>hello, world</bar>
</foo>

ccs_get /foo/child::*[1] works correctly (returns "bar=hello, world").

This fix is required for #212121 to be completed correctly; with the attached
patch, ccs returns  "bar=" as the result of querying the first example instead
of -ENODATA.

The patch also fixes ccs_set_state (which doesn't work at all).

-- Additional comment from lhh@redhat.com on 2007-03-13 18:46 EST --
Created an attachment (id=149999)
RHEL4 patch

Comment 1 Lon Hohberger 2007-03-13 22:48:14 UTC
Created attachment 150000 [details]
head & rhel5 patch

Comment 2 Kiersten (Kerri) Anderson 2007-03-20 15:54:44 UTC
Devel ACK for 5.1

Comment 4 Kiersten (Kerri) Anderson 2007-04-23 16:50:28 UTC
Fixing Product Name.  Cluster Suite was merged into Red Hat Enterpise Linux for
5.0.  In addition dlm, fence and ccs were merged into the cman package, so
bugzilla should reflect package name where those utilities are located.

Comment 5 RHEL Product and Program Management 2007-04-25 20:43:26 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Lon Hohberger 2007-05-08 14:11:55 UTC
Ryan, do you want me to push this to rhel5 / head ?

Comment 8 Lon Hohberger 2007-06-29 17:40:47 UTC
Testing is simple.  Rgmanager on rhel5.1 will show no services at all without
this patch ;)

Comment 10 errata-xmlrpc 2007-11-07 16:59:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0575.html



Note You need to log in before you can comment on or make changes to this bug.